﻿unit rstring;

{<
  rstring unit contains all resource strings.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Apr 2006)
  @lastmod(Oct 2023)
}

interface

const LangVer='EN';
const LangVerEN=1;

resourcestring

  // ***************************************************
  // COMMON STRING

  // Actions
  { }
  sInitialize = 'Инициализация';
  sBrowsing = 'Просмотр';
  sEditing = 'Редактирование';
  sInserting = 'Вставка';
  sLoading = 'Загрузка';
  sCreating = 'Создание';
  sPrinting = 'Печать';
  sExporting = 'Экспорт';
  sLookingFor = 'Поиск...';
  sWaiting = 'Ожидание';
  sChecking = 'Проверка';
  sImporting = 'Импорт';
  sOfData = ' из данных...';

  // Questions
  { }
  sContinueQ = 'Продолжать?';
  sTerminateQ = 'Заканчивать?';
  sCancelQ = 'Отменить?';
  sDeleteQ = 'Удалить?';
  sOverwriteQ = 'Перезаписать?';
  sTryAgainQ = 'Попробовать ещё раз?';
  sSetDefaultValues = 'Сброрвить свойства по умолчанию?';
  sSaveChangesQ = 'Сохранить изменения?';
  sUseChangesQ = 'Использовать изменения?';
  sUseFilterQ = 'Использовать выбранный фильтр?';

  // File and dir
  { }
  sFile = 'Файл "%s".';
  sFileNotFound = 'Файл "%s" не найден.';
  sDirNotFound = 'Директория "%s" не найдена.';
  sFileExist = 'Файл "%s" уже существует.';
  sDirExist = 'Директория "%s" уже существует.';
  sFileSaved = 'Файл "%s" был сохранен.';
  sFileOpenQ = 'Открыть файл "%s"?';
  sOpenOtherFileQ = 'Открыть другой файл?';
  sOpenLastFileQ = 'Открыть оригинальный файл?';

  // File error
  { }
  sMakeDirErr = 'Невозможно создатьцелевую директорию "%s".';
  sFilePrintErr = 'Невозможно распечатать файл "%s".';
  sFileOpenErr = 'Невозможно открыть файл "%s".';
  sFileOpenErr2 = 'Файл не существует (вероятно).';
  sFileSaveErr = 'Ошибка во время сохранения файла "%s".';
  sFileSaveErr2 = 'У Вас нет прав доступа, целевая директория' + ' не существует или целевой файл уже открыт в другом применении.';
  sDLLNotFound = 'Динамическая библиотека "%s" не найдена или повреждена.';

  // File types
  { }
  sFileTypeAll = 'Все файлы (*.*)|*.*';
  sFileTypeTXT = 'Текстовый файл (*.txt)|*.txt';
  sFileTypeSLK = 'Символьный файл связи (*.slk)|*.slk';
  sFileTypeRTF = 'Формат RTF (*.rtf)|*.rtf';
  sFileTypeDOC = 'MSWord документ (*.doc)|*.doc';
  sFileTypeDOCX = 'MSWord документ (*.docx)|*.docx';
  sFileTypeODT = 'Формат ODT (*.odt)|*.odt';
  sFileTypeXLS = 'Excel файл (*.xls*)|*.xls*';
  sFileTypeMDB = 'База данных MS Access (*.mdb)|*.mdb';
  sFileTypeACCDB = 'Database MS Access (*.accdb)|*.accdb';
  sFileTypeSQL = 'SQL комманды (*.sql)|*.sql';
  sFileTypeDBF = 'dBase файлы (*.dbf)|*.dbf';
  sFileTypePDF = 'PDF файл (*.pdf)|*.pdf';
  sFileTypeBMP = 'Картинки (*.bmp)|*.bmp';
  sFileTypeJPG = 'Jpeg файлы (*.jpg;*.jpeg)|*.jpg;*.jpeg';
  sFileTypePNG = 'PNG файлы (*.png)|*.png';
  sFileTypeBMPJPG = 'Графические форматы (*.bmp;*.jpg;*.jpeg)|*.bmp;*.jpg;*.jpeg';
  sFileTypeBMPJPGPNG = 'Графические форматы (*.bmp;*.jpg;*.jpeg;*.png)|*.bmp;*.jpg;*.jpeg;*.png';

  // Error descriptions
  { }
  sErrorDescription = 'Описание ошибки:';
  sRuntimeErr = 'Ошибка периуда выполнения.';
  sRaiseErr = 'Неожинанная ошибка. Закрыть приложение и запустить снова.';


  // Format error
  { }
  sInputErr = 'Ошибка во входных параметрах.';
  sFormatNumberErr = 'Плохой числовой формат.';
  sFormatDateErr = 'Плохой формат даты.';
  sFormatYearErr = 'Плохой формат года.';
  sDateIntervalErr = 'Неверный формат периода даты.';
  sExpressionErr = 'Ошибка в выражении.';
  sPictureErr = 'Плохой формат изображения.';

  // Other
  { }
  sAborted = 'Действие прервалось.';
  sTerminate = 'Программа завершена.';
  sNotRegist = 'Программа не зарегистрирована.';
  sNotImplement = 'Это действие еще не реализовано.';
  sNotSupported = 'Эта функция не поддерживается.';
  sVersion = 'Версия';
  sAllOK = 'Всё хорошо.';
  sYes = 'Да';
  sNo = 'Нет';
  sOK = 'Ок';
  sCancel = 'Отмена';

  sWrongPsw = 'Неверный пароль.';
  sMailErr = 'Ошибка отправки почты.';
  sMailGenInfo = 'Генерация электронной почты...';
  sBookmarkNumber = 'Bookmark number';

  // ***************************************************
  // DATABASE STRING

  // DB action
  { }
  sConnecting = 'Соединение с базой данных...';
  sLogging = 'Загрузка в базу данных...';
  sInactive = 'Неактивный';
  sRecord = 'запись';
  sNumRecords = '%d записи';
  sSelRecords = 'Выбранный %d записи.';

  // DB questions
  { }
  sDelRecordQ = 'Удалить выбранную запись?';
  sDelMultipleRecordQ = 'Удалить все выбранные записи?';

  // DB error
  { }
  sConnectDataErr = 'Связь с базой данных "%s" неудачна.';
  sCreateDataErr = 'Ошибка: Невозможно создать данные.';
  sOpenDataErr = 'Ошибка: Невозможно открыть данные.';
  sReadDataErr = 'Ошибка: Невозможно прочитать данные.';
  sSaveDataErr = 'Ошибка: Невозможно записать данные.';
  sCompressDataErr = 'Ошибка: Невозможно сжать данные.';
  sExportDataErr = 'Ошибка: Невозможно экспортировать данные.';
  sImportDataErr = 'Ошибка: Невозможно импортировать данные.';
  sDecodeDataErr = 'Невозможно декодировать данные.';
  sSaveRecordErr = 'Ошибка: Невозможно записать запись.';
  sOpenTableErr = 'Ошибка: Невозможно открыть таблицу "%s".';
  sEditRecordErr = 'Ошибка: Невозможно редактировать запись.';
  sSortDataErr = 'Ошибка: Сортировка данных.';
  sNoSavedItems = 'не сохраняются значения';
  sInputItemName = 'Имя сохраняемого значения:';

  // Find results
  { }
  sNotFound = 'Не найден';
  sFound = 'Найден';

  sFilterName = 'Имя фильтра';
  sFilterString = 'Условия фильтра';

  sEndEditing = 'Конец редактирования записи.';

  // ***************************************************
  // UNIT rdlg

  { }
  sInformation = 'Информация';
  sQuestion = 'Вопрос';
  sWarning = 'предупреждение';
  sInput = 'Ввод';
  sError = 'Ошибка';
  sBtOk = '&Ок';
  sBtYes = '&Да';
  sBtNo = '&Нет';
  sBtCancel = '&Отмена';
  sCut = 'Вырезать';
  sCopy = 'Копировать';
  sPaste = 'Вставить';
  sDelete = 'Удалить';
  sUndo = 'Отмена';
  sSelectAll = 'Выделить всё';
  sSaveToFile = 'Сохранить в файл...';
  sLoadFromFile = 'Загрузить из файла...';
  sFind = 'Поиск';
  sFindNext = 'Искать дальше';
  sChangeFont = 'Выбрать шрифт';
  sAbort = 'Прервать';
  sWordWrap = 'Word wrap';

  // ***************************************************
  // UNIT RTFReport

  { }
  sReport = 'Отчет';
  sTemplateFormatErr = 'Неверный формат файла шаблона.';
  sPrinterNotFound = 'Принтер "%s" не найден.';

  sTemplateBracketErr = 'Ошибка скобки в функции: "%s".';
  sTemplateFieldErr = 'Ошибка в вычислениях в базе данных поля "%s".';
  sTemplateDatasetErr = 'Неправильный набор данных "%s", (А..Я разрешены)';
  sTemplateTagNotFoundErr = '"%s" не найден.';
  sTemplateCalculationErr = 'Ошибка вычислений в функции "%s".';
  sTemplateIncorrectTag = 'Неправильный ярлык "%s".';
  sTemplateInsertTableErr = 'Tag "%s" can be used only inside table with one row.';

  sCreatingReport = 'Создание отчета...';
  sCreatingReportErr = 'Ошибка во время создания отчета.';
  sFileGeneration = 'Генерация файла %s...';
  sPDFWaitAgainQ = 'Выходной файл еще не сгенерирован. Вы хотите подождать?';
  sPDFConfiguration = 'Настройка принтера PDF...';
  sPDFConfigurationErr = 'Ошибка во время настройки принтера PDF.';
  sDeleteOldFileErr = 'Выходной файл %s уже существует и не может быть перезаписан.';

  // OLE
  sMSWordNotFound = 'MSWord приложение не найдено.';
  sMSWordError = 'Ошибка приложения MSWord';
  sMSExcelNotFound = 'MSExcel приложение не найдено.';
  sMSExcelError = 'Ошибка приложения MSExcel.';
  sMSExcelRunningToClose = 'Создаваемое MSExcel приложение будет закрыто и файл изменен. Сохранить изменения?';

  // ***************************************************
  // rDBGrid unit
  { }
  sPMSum = 'Сумма = %sum';
  sPMMin = 'Мин = %min';
  sPMMax = 'Макс = %max';
  sPMAvg = 'Среднее = %avg';
  sPMCountVal = 'Количество значений = %CountVal';
  sPMCountNull = 'Количество пустых = %CountNull';
  sPMCountAll = 'Количество всех = %CountAll';
  sPMDistinctValues = 'Distinct values = %DistinctValues';

  sSelectAllRecords = 'Выделить все записи';
  sDeselectAllRecords = 'Отменить выбор всех записей';
  sReverseSelection = 'Инвертировать выбор';
  sDeleteSelectedRecords = 'Удалить выбранные записи';
  sNoRecordsSelected = 'Записи не выбраны.';
  sSelectedNumRecContinueQ = 'Уже выбраны %d записи, продолжить?';

  sCellParamsCondErr='Неверные условия для записи %s. Условие будет деактивировано.';
  sCellParamsCondStart='запустить';
  sCellParamsCondNotStart='не запускается';
  sCellParamsCondContain='содержит';
  sCellParamsCondNotContain='не содержит';
  sCellParamsCondAllways='всегда';
  sCellParamsActSet='>>>';
  sCellParamsActAND='И';
  sCellParamsActOR='ИЛИ';

  sFilterSelectAll = '(выделить всё)';
  sFilterNullValue = '(пустой)';
  sIndicatorColumnName = '- Заголовок строки -';
  sFiltered = 'Filtered';
  sFilterResetHint = 'Ctrl+Left to reset';
  sFilterSetHint = 'Ctrl+Right to filter';
  sFilterClear = 'Clear current filter';
  sFilterTooComplex = 'It generates too complex filter condition. Change filter setting or use text filter instead.';

  // ***************************************************
  // rDBComponent unit
  { }
  sPictureEmpty = '(пустой)';
  sPictureCorrupted = '(поврежденный)';
  sSaveInJPEGFormat = 'Хранилище в JPG формате';
  sPictureResize = 'Выбрать разрешение';
  sResizeRatioQ = 'Требуемый размер в процентах (1% - 500%):';
  sZoomAutoFit = 'Изменение масштаба - к окну';
  sZoomIn = 'Увеличение';
  sZoomOut = 'Уменьшение';
  sZoom = 'Изменение маштаба';
  sShowPicEdit = 'Редактирование в новом окне (яркость, контраст)';
  sPicConvert = 'Конвертация...';
  sPicConvertJPG1 = 'текущая запись в JPG';
  sPicConvertBMP1 = 'текущая запись в BMP';
  sPicConvertJPGAll = 'все записи в JPG';
  sPicConvertBMPAll = 'все записи в BMP';
  sPicConvertAllQ = 'Действия выбранного формата этой записи для всех записей в таблице.';
  sPicConvertProcess = 'Конвертация...';
  sBlobOpen = 'Открыть';
  sBlobLoad = 'Загрузить';
  sBlobSave = 'Сохранить';
  sBlobClear = 'Очтстить';
  sBlobRename = 'Выбрать имя файла';
  sBlobChangeExtQ = 'Вы хотите изменить тип файла (расширение)? Это изменение может влиять на readibility файла.';
  sBlobFileOverLimitQ = 'Размер выбранного файла (%f MB) превышают предел (%f MB).';

  sFormatInfo = 'Форматировать выделенный текст';
  sFormatBold = 'Полужирный';
  sFormatItalic = 'Курсив';
  sFormatUnderline = 'Подчеркивание';
  sFormatAsUnnumberedList='Непронумерованный список';
  sFormatAsNumberedList='Пронумерованный список';
  sFormatNewPage = 'Вставить конец страници';
  sFormatNewLine2 = 'Вставить конец строки';
  sFormatNewLineAuto='Вставить конец для всех линий';
  sFormatHorLine = 'Вставить горизонтальную линию';
  sFormatHTMLLink = 'Вставить HTML ссылку';
  sFormatClear = 'Очистить все форматы';
  sEditInfo = 'Показать в окне';

  // added Dec2020
  sFont = 'Font';
  sFormatStrikeOut = 'Strike out';
  sFontSmaller = 'Smaller';
  sFontBigger = 'Bigger';
  sFontColor = 'Font color';
  sParagraph = 'Paragraph';
  sIndentDecrease = 'Decrease indent';
  sIndentIncrease = 'Increase indent';
  sTextAlignLeft = 'Align text to left';
  sTextAlignRight = 'Align text to right';
  sTextAlignCenter = 'Align text center';
  sBulletPoints = 'Bullet points . . .';
  sBulletNumbers = 'Bullets 1, 2, 3';
  sBulletLetters = 'Bullets a, b, c';

  sConfirmChanges = 'Confirm changes';
  sCancelChanges = 'Cancel changes';
  // added Dec2020

  // ***************************************************
  // rDBMemoGrid unit
  { }
  mnDelRow = 'Удалить строку';
  mnMoveUpRow = 'Переместить строку вверх';
  mnMoveDownRow = 'Переместить строку вниз';
  mnCopyCell = 'Копировать ячейку';
  mnPasteCell = 'Вставить ячейку';
  mnCopyTable = 'Копировать целую  таблицу';
  mnPasteTable = 'Вставить целую таблицу';
  mnAppendTable = 'И всю таблицу';
  mnClearTable = 'Очистить таблицу';
  mnSelectRow = 'Выбелить строку';
  mnSelectAll = 'Выделить все строки';
  mnSelectCol = 'Выделить столбец';
  mnSelectCell = 'Выделить ячейку';
  mnDeselectAll = 'Отмена выделения';

  // ***************************************************
  // rDBPrint unit
  { }
  sPrintToomuchCols = 'Данные для печати слишком широки, отмените некоторые столбцы или выберите размер шрифта меньшего размера.';
  sPrintRecCount='Полное количество записей: %d';
  sPrintPreviewLimit = 'Предварительный просмотр ограничен 60 страницами.';

  // ***************************************************
  // rDBBatchUpdate unit
  { }
  sBatchUpdatedRecNum = 'Количество редактируемых записей: %d';

  // ***************************************************
  // rpictool unit
  { }
  sColorBlack = 'Черный';
  sColorBlackLoc = 'Черный';
  sColorMaroon = 'Темно-бордовый';
  sColorMaroonLoc = 'Темно-бордовый';
  sColorGreen = 'Зеленый';
  sColorGreenLoc = 'Зеленый';
  sColorOlive = 'Оливковый';
  sColorOliveLoc = 'Оливковый';
  sColorNavy = 'Темно-синий';
  sColorNavyLoc = 'Темно-синий';
  sColorPurple = 'Фиолетовый';
  sColorPurpleLoc = 'Фиолетовый';
  sColorTeal = 'Чирок';
  sColorTealLoc = 'Чирок';
  sColorGray = 'Серый';
  sColorGrayLoc = 'Серый';
  sColorSilver = 'Серебряный';
  sColorSilverLoc = 'Серебряный';
  sColorRed = 'Красный';
  sColorRedLoc = 'Красный';
  sColorLime = 'Лайм';
  sColorLimeLoc = 'Лайм';
  sColorYellow = 'Желтый';
  sColorYellowLoc = 'Желтый';
  sColorBlue = 'Синий';
  sColorBlueLoc = 'Синий';
  sColorFuchsia = 'Фуксия';
  sColorFuchsiaLoc = 'Фуксия';
  sColorAqua = 'Вода';
  sColorAquaLoc = 'Вода';
  sColorWhite = 'Белый';
  sColorWhiteLoc = 'Белый';

  sColorMoneyGreen = 'Зеленые деньги';
  sColorMoneyGreenLoc = 'Зеленые деньги';
  sColorSkyBlue = 'Лазурный';
  sColorSkyBlueLoc = 'Лазурный';
  sColorCream = 'Кремовый';
  sColorCreamLoc = 'Кремовый';
  sColorMedGray = 'Серая медиана';
  sColorMedGrayLoc = 'Серая медиана';

  sColorCustom = 'Пользовательский...';
  sColorCustomLoc = 'Пользовательский...';

implementation

end.

